# Copyright (c) 2017, JINGROW and Contributors
# License: MIT. See LICENSE
import jingrow


@jingrow.whitelist()
def get_leaderboard_config():
	leaderboard_config = jingrow._dict()
	leaderboard_hooks = jingrow.get_hooks("leaderboards")
	for hook in leaderboard_hooks:
		leaderboard_config.update(jingrow.get_attr(hook)())

	return leaderboard_config
